STOMP(1)

NAME
stomp - STOMP command-line client

SYNOPSIS
stomp [options]

DESCRIPTION

stomp is a command-line client for accessing messaging servers using the STOMP protocol (versions 1.0, 1.1 and 1.2).

It uses the Python module stomp.py.

OPTIONS

-h, --help
    Show summary of options.

--version
    Show version of program.

-H <host>, --host=<port>
    Hostname or IP address to connect to. [default: localhost]

-P <port>, --port=<port>
    Port providing stomp protocol connections. [default: 61613]

-U <user>, --user=<user>
    Username for the connection

-W <password>, --password=<password>
    Password for the connection

-F <filename>, --file=<filename>
    File containing commands to be executed, instead of prompting from the command prompt.

-S <protocol version>, --protocol=<protocol version>
    Set the STOMP protocol version (1.0, 1.1, 1.2) [default: 1.1]

-L <queue>, --listen=<queue>
    Listen for messages on a queue/destination

-V, --verbose
    Verbose logging "on" or "off" (if on, full headers from stomp server responses are printed)

--ssl
    Enable SSL connection

--heartbeats=<heartbeats>
    Heartbeats to request when connecting with protocol >= 1.1 (two comma separated integers required) [default: 0,0]

SEE ALSO

Python module documentation in package python-stomp-doc:

/usr/share/doc/python-stomp.py-doc/html